
//automatic flush using Ultrasonic Sensor HC-SR04 by S.C.DWIVEDI 
// defines pins numbers
const int trigPin1 = 2;     //defining echo sensor pins  1
const int echoPin1 = 3;
const int relayPin =  13;      // the number of the buzzer pin
// defines variables
long duration1;         //defining echo sensor varables 1
int distance1;

void setup() {
   pinMode(relayPin, OUTPUT);
pinMode(trigPin1, OUTPUT); // Sets the trigPin as an Output 1
pinMode(echoPin1, INPUT); // Sets the echoPin as an Input   1
Serial.begin(9600); // Starts the serial communication
}

void loop() {
// Clears the trigPin
digitalWrite(trigPin1, LOW);
delayMicroseconds(2);
digitalWrite(trigPin1, HIGH);// Sets the trigPin on HIGH state for 10 micro seconds
delayMicroseconds(10);
digitalWrite(trigPin1, LOW);
duration1 = pulseIn(echoPin1, HIGH);// Reads the echoPin, returns the sound wave travel time in microseconds
distance1= duration1*0.034/2;       // Calculating the distance

if ( distance1 <= 30) {             //logical OR , compare with safe distance 
    // turn relay on:
    digitalWrite(relayPin, HIGH);
}else {
    // turn relay off:
    digitalWrite(relayPin, LOW);
  }
// Prints the distance on the Serial Monitor
Serial.print("Distance1:  " );
Serial.print(distance1);

delay(500);
}
